Bug 1551327 - Remove GCC from BuildRoot
Summary: Remove GCC from BuildRoot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact:
URL:
Whiteboard: ChangeAcceptedF29,SystemWideChange
Depends On: 1556458 1603248 1603250 1603252 1603253 1603254 1603256 1603260 1603261 1603263 1603265 1603266 1603267 1603268 1603269 1603271 1603274 1603275 1603279 1603280 1603282 1603289 1603291 1603305 1603308 1603309 1603319 1603320 1603321 1603325 1603333 1603337 1603339 1603340 1603341 1603348 1603350 1603351 1603355 1603356 1603358 1603362 1603364 1603366 1603367 1603371 1603372 1603375 1603377 1603378 1603383 1603384 1603392 1603393 1603398 1603402 1603407 1603408 1603409 1603410 1603411 1603412 1603413 1603414 1603425 1603426 1603427 1603428 1603429 1603431 1603436 1603438 1603447 1603449 1603451 1603453 1603456 1603457 1603460 1603462 1603463 1603466 1603467 1603469 1603470 1603471 1603472 1603473 1603474 1603480 1603482 1603483 1603486 1603488 1603489 1603490 1603499 1603506 1603508 1603509 1603512 1603516 1603517 1603518 1603520 1603523 1603524 1603533 1603534 1603537 1603540 1603543 1603544 1603545 1603621 1603622 1603623 1603625 1603626 1603627 1603628 1603629 1603630 1603631 1603634 1603638 1603640 1603642 1603646 1603649 1603651 1603656 1603660 1603665 1603670 1603685 1603688 1603691 1603693 1603695 1603697 1603700 1603703 1603704 1603707 1603710 1603711 1603712 1603714 1603716 1603719 1603720 1603722 1603723 1603724 1603725 1603726 1603727 1603728 1603729 1603731 1603733 1603736 1603737 1603738 1603739 1603743 1603745 1603746 1603747 1603750 1603752 1603759 1603773 1603774 1603778 1603780 1603781 1603783 1603793 1603796 1603798 1603808 1603812 1603818 1603820 1603821 1603824 1603828 1603832 1603833 1603836 1603837 1603841 1603842 1603844 1603845 1603847 1603848 1603852 1603854 1603855 1603858 1603863 1603864 1603865 1603872 1603873 1603883 1603885 1603888 1603890 1603892 1603930 1603934 1603936 1603938 1603940 1603943 1603944 1603945 1603946 1603947 1603950 1603961 1603964 1603966 1603967 1603968 1603969 1603972 1603974 1603975 1603979 1603983 1603986 1603987 1603996 1604000 1604001 1604008 1604009 1604010 1604012 1604017 1604018 1604020 1604021 1604059 1604063 1604066 1604070 1604073 1604075 1604102 1604103 1604106 1604114 1604115 1604116 1604119 1604121 1604123 1604124 1604129 1604130 1604131 1604132 1604135 1604139 1604142 1604147 1604149 1604151 1604157 1604161 1604162 1604166 1604174 1604246 1604254 1604257 1604262 1604265 1604267 1604270 1604287 1604289 1604291 1604292 1604295 1604306 1604311 1604312 1604313 1604315 1604319 1604323 1604324 1604331 1604335 1604336 1604338 1604339 1604342 1604344 1604345 1604346 1604349 1604350 1604351 1604352 1604355 1604356 1604362 1604366 1604368 1604370 1604373 1604374 1604375 1604376 1604377 1604380 1604381 1604382 1604386 1604388 1604389 1604390 1604400 1604413 1604443 1604444 1604447 1604449 1604450 1604452 1604456 1604459 1604462 1604464 1604467 1604468 1604470 1604471 1604483 1604487 1604507 1604511 1604513 1604520 1604522 1604524 1604525 1604532 1604535 1604538 1604545 1604552 1604554 1604555 1604556 1604558 1604561 1604562 1604563 1604564 1604568 1604571 1604572 1604573 1604576 1604577 1604582 1604584 1604588 1604589 1604590 1604591 1604595 1604598 1604600 1604601 1604603 1604604 1604606 1604611 1604613 1604615 1604616 1604618 1604620 1604621 1604622 1604625 1604626 1604627 1604628 1604629 1604630 1604631 1604632 1604637 1604639 1604640 1604641 1604642 1604644 1604652 1604655 1604660 1604665 1604667 1604671 1604672 1604673 1604680 1604681 1604682 1604686 1604689 1604691 1604692 1604693 1604694 1604696 1604698 1604704 1604707 1604710 1604713 1604716 1604721 1604722 1604739 1604740 1604741 1604742 1604748 1604749 1604750 1604751 1604752 1604753 1604754 1604758 1604763 1604772 1604774 1604775 1604776 1604780 1604781 1604789 1604791 1604805 1604809 1604810 1604811 1604814 1604816 1604818 1604821 1604824 1604828 1604830 1604836 1604841 1604852 1604856 1604857 1604859 1604861 1604862 1604863 1604866 1604873 1604880 1604881 1604883 1604884 1604885 1604886 1604889 1604890 1604891 1604896 1604897 1604898 1604900 1604901 1604903 1604905 1604907 1604910 1604912 1604914 1604924 1604928 1604929 1604931 1604932 1604934 1604936 1604937 1604938 1604943 1604946 1604948 1604953 1604958 1604960 1604961 1604963 1604965 1604966 1605258 1605259 1605261 1605262 1605263 1605264 1605267 1605268 1605273 1605275 1605278 1605291 1605298 1605300 1605307 1605310 1605317 1605319 1605328 1605332 1605340 1605341 1605343 1605348 1605355 1605360 1605361 1605362 1605363 1605364 1605365 1605367 1605369 1605373 1605375 1605379 1605380 1605387 1605392 1605395 1605397 1605400 1605402 1605408 1605410 1605414 1605418 1605422 1605429 1605430 1605431 1605432 1605433 1605435 1605452 1605454 1605455 1605458 1605460 1605463 1605464 1605468 1605472 1605476 1605477 1605478 1605479 1605482 1605493 1605496 1605498 1605499 1605501 1605502 1605503 1605506 1605510 1605513 1605515 1605516 1605517 1605527 1605529 1605530 1605531 1605559 1605560 1605627 1605847 1605976 1606034 1606043 1606044 1606064 1606070 1606073 1606077 1606079 1606080 1606082 1606085 1606088 1606095 1606097 1606098 1606103 1606104 1606110 1606111 1606112 1606118 1606119 1606123 1606124 1606125 1606127 1606129 1606135 1606139 1606142 1606155 1606164 1606202 1606210 1606237 1606247 1606280 1606287 1606288 1606290 1606296 1606298 1606309 1606311 1606313 1606318 1606324 1606333 1606338 1606339 1606345 1606346 1606349 1606353 1606357 1606359 1606372 1606377 1606383 1606384 1606387 1606389 1606391 1606392 1606394 1606397 1606399 1606402 1606408 1606411 1606412 1606414 1606416 1606421 1606425 1606429 1606430 1606441 1606449 1606452 1606459 1606461 1606465 1606466 1606469 1606472 1606473 1606478 1606479 1606489 1606490 1606491 1606496 1606498 1606499 1606514 1606521 1606522 1606524 1606526 1606531 1606533 1606534 1606536 1606568 1606569 1606575 1606583 1606586 1606589 1606594 1606597 1606600 1606607 1606608 1606614 1606615 1606617 1606620 1606622 1606623 1606626 1606627 1606628 1606629 1606634 1606635 1606636 1606637 1606656 1606658 1606661 1606663 1606664 1606666 1606669 1606673 1606679 1606690 1606694 1606695 1606696 1606698 1606700 1606707 1606712 1606714 1606715 1606718 1606722 1606723 1606725 1606726 1606729 1606732 1606733 1606735 1606737 1606739 1606740 1606741 1606743 1606744 1606747 1606752 1606759 1606764 1606768 1606772 1606780 1606785 1606789 1606790 1606792 1606796 1606798 1606815 1606820 1606824 1606829 1606833 1606834 1606843 1606845 1606846 1606847 1606849 1606850 1606851 1606854 1606856 1606857 1606863 1606881 1606888 1606897 1606903 1606906 1606907 1606912 1676158 1676225
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-04 18:36 UTC by Jan Kurik
Modified: 2019-07-17 13:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:04:33 UTC


Attachments (Terms of Use)

Description Jan Kurik 2018-03-04 18:36:58 UTC
This is a tracking bug for Change: Remove GCC from BuildRoot
For more details, see: https://fedoraproject.org/wiki/Changes/Remove_GCC_from_BuildRoot

Removing gcc and gcc-c++ from default buildroot in Koji and mock.

Comment 1 Fedora Update System 2018-07-30 07:10:09 UTC
grass-7.4.1-6.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2f84e108d2

Comment 2 Adam Williamson 2018-08-07 17:41:28 UTC
This is definitely 'testable' right now, as in the change was made before the mass rebuild and we've been adding BuildRequires ever since :) Setting to MODIFIED.

Comment 3 Jan Kurik 2018-08-14 11:20:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 4 Ben Cotton 2018-08-28 13:53:49 UTC
Today is the '100% code complete deadline' Change Checkpoint[1], meaning that Fedora 29 Changes must now be code complete. All the code required to enable to the new change should now be finished. If your Change is code complete, please update the status of this tracker back to "ON_QA". The change does not have to be fully tested by this deadline.

We have now reached the Beta freeze. If your Change is not code complete, you need to request a Freeze Exception[2] or invoke the contingency plan.

[1] https://fedoraproject.org/wiki/Changes/Policy#Beta_deadline.2Faccepted_changes_100.25_complete

[2] https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

Comment 5 Ben Cotton 2018-08-29 18:17:41 UTC
Moving to ON_QA since the change is "code complete"

Comment 6 Ben Cotton 2018-11-30 17:04:33 UTC
This Change appears to have been implemented for Fedora 29. If it is not closed, please let me know so I can re-open it against Rawhide.


Note You need to log in before you can comment on or make changes to this bug.